Get orders

Get a list of tasking and catalog orders.

Query Params
uuid

The workspace ID.

Use to get objects from a specific workspace. Otherwise, objects from the entire account will be returned.

string
enum

The order type. Use to search for catalog or tasking orders.

Allowed:
status
array of objects

Order statuses. Use to search for orders with any of the provided statuses.

status
subStatus
array of strings

Order sub-statuses. Use to search for orders with any of the provided sub-statuses.

subStatus
Allowed:
string

Additional search terms. Use to search for orders that contain the provided search query in their name.

dataProductIds
array of objects
length ≤ 100

Data product IDs. Use to search for orders associated with any of the provided data products. Input must be a comma-separated list.

dataProductIds
orderIds
array of objects
length ≤ 100

Order IDs. Use to search for orders matching any of the provided IDs. Input must be a comma-separated list.

orderIds
budgetIds
array of uuids
length ≤ 100

Budget IDs. Use to search for orders associated with any of the provided budgets. Input must be a comma-separated list.

budgetIds
tags
array of strings

Order tags. Use to search for orders with any of the provided tags.

tags
integer
Defaults to 0

The result page number. To get the first page, set the parameter to 0.

integer
Defaults to 20

The number of results on a result page.

string
Defaults to createdAt,desc

The results sorting method that arranges elements in ascending or descending order based on a chosen field. The format is <field name>,<asc or desc>.

Headers
string
enum
Defaults to application/json

Generated from available response content types

Allowed:
Responses

Language
Credentials
Bearer
JWT
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json
application/problem+json